#Moodle 3.0.1 coming next week with #PHP7 support

December 14th, 2015

In a recent announcement, Moodle HQ has decided to present all the Moodle developers on the occasion of Christmas with a new minor version of Moodle 3.0.1 with support for both PHP5 and PHP7 (See our previous coverage on Moodle and PHP7 here and here).

PHP 7.0.0 which is just released on December 3, 2015 is supposed to be twice as fast as compared to PHP 5.6 Initially Moodle 3.1 was supposed to be released along with PHP 7 compatibility but since everybody anticipates that php7 will immediately become very popular because of its performance indicators, so the users can get a lot of benefits from this release.

According to the original announcement by Marina Glancy:

The current plan is to dedicate this week to integration and testing only of php7-related issues. We have already achieved 100% pass on automated tests (phpunit and behat) and are currently running a mini QA cycle on both php5 and php7. If everything goes well (which is very-very likely), we will release 3.0.1 on Monday December 21st, 2015.

If you are also willing to take part in the testing and discussions going on for PHP7, then please list your issues under the tracker item – MDL-50565

If you are the developer of any Moodle plugins, then here is basic documentation to help you upgrade your plugins.

What changes in the Moodle Performance you are expecting by upgrading to PHP 7? Do let us know in the comments below.

Reference: https://moodle.org/mod/forum/discuss.php?d=324721#p1304426